Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.icon
Class URLIconTheme

    java.lang.Object
      de.grogra.util.ResourceConverterBase
          de.grogra.icon.URLIconTheme

All Implemented Interfaces:
  IconTheme, ResourceConverter

    public class URLIconTheme

extends ResourceConverterBase
implements IconTheme

Field Summary
`protected java.net.URL` | `root`
`protected java.awt.Dimension` | `size`
`protected java.lang.String` | `suffix`

Fields inherited from class de.grogra.util.ResourceConverterBase
`map, name`

Fields inherited from interface de.grogra.util.ResourceConverter
`CAT, LINK`

Constructor Summary
`URLIconTheme(java.lang.String name, java.net.URL root, java.lang.String suffix, java.awt.Dimension size)`

Method Summary
`protected java.lang.Object` | `convertImpl(java.lang.String key, I18NBundle bundle)`
`java.awt.Dimension` | `getSize()`
`IconSource` | `getSource(java.lang.String key)`

Methods inherited from class de.grogra.util.ResourceConverterBase
`canHandleConversion, convert`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    protected java.net.URL root

### size

    protected java.awt.Dimension size

### suffix

    protected java.lang.String suffix

Constructor Detail

### URLIconTheme

    public URLIconTheme(java.lang.String name,
                        java.net.URL root,
                        java.lang.String suffix,
                        java.awt.Dimension size)

Method Detail

### convertImpl

    protected java.lang.Object convertImpl(java.lang.String key,
                                           I18NBundle bundle)

  Specified by:
    `convertImpl` in class `ResourceConverterBase`

### getSize

    public java.awt.Dimension getSize()

  Specified by:
    `getSize` in interface `IconTheme`

### getSource

    public IconSource getSource(java.lang.String key)

  Specified by:
    `getSource` in interface `IconTheme`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD